Subject: RE: SV: Re: SV: Re: SV: RE: [manet] Default Routes (Intern)

From: Erik Nordström <[email-masked]>
Date: Mon, 08 Mar 2004 10:53:54 +0100

On Mon, 2004-03-08 at 10:43, Fredrik Alriksson (KI/EAB) wrote:
> > >>What makes you think that route entries for global 
> > addresses assigned to
> > >>MANET nodes should not be maintained inside the MANET? I do 
> > not see any
> > >>reason. If gateway obtains valid route entry for a 
> > destination node's
> > >>    
> > >>
> > >
> > >Tunneling does not totally exclude global (non-adhoc) 
> > addresses in the
> > >MANET. Routing entries for global addresses still have to be 
> > maintained
> > >at end nodes. It just simplifies the routing, and you achieves route
> > >aggregation since you can share a tunnel among many addresses. In the
> > >AODV case, there is also no need to maintain sequence 
> > numbers for routes
> > >to global destinations since it maps to the gateway route. This would
> > >not be the case if you "import" global addresses/routes into 
> > the ad hoc
> > >network.
> > >
> > >  
> > >
> > Route aggregation ? Well usually route aggregation is for the routing 
> > table ... and if you don't use a default route it means you will still 
> > have a routing entry for each destination. The "next hop" entry will be 
> > the same tunnel, but still you have one entry per destination. This 
> > doesn't really look like route aggregation ... but maybe did you mean 
> > something else ?
> 
> Erik didn't answer to this, right? Anyway: I agree that you won't see any route aggregation in the end node's routing table, but you will in the routing tables of the intermediate nodes.
> 

Yes, exactly. You have aggregation (on intermediate nodes) in the sense
that you map several destinations (on end nodes) to the same gateway
route. I.e., a node close to the gateway can forward packets to many
Internet destinations while only maintaining a gateway route. Overall,
you can save a lot of entries (state) in the network.

//Erik

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet